package com.syjy.calculate.conotroller;

import com.alibaba.fastjson.JSONObject;
import com.syjy.calculate.service.AccuracyPassRateCalculateService;
import com.syjy.calculate.util.CreateAndInsertSqlUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.*;

@Controller
@RequestMapping("/test")
public class Test {
    @Autowired
    private AccuracyPassRateCalculateService accuracyPassRateCalculateService;
    @Resource
    private CreateAndInsertSqlUtil createAndInsertSqlUtil;

    @RequestMapping(value = "/test")
    public void saveElectricField() {
        // 测试数据组装
        List<Map<String, Object>> powerData = new ArrayList<>();
        Map<String, Object> dataText = new HashMap<>();
        dataText.put("sj", new BigDecimal(8));
        dataText.put("yc", new BigDecimal(0));
        powerData.add(dataText);
        dataText = new HashMap<>();
        dataText.put("sj", new BigDecimal(9));
        dataText.put("yc", new BigDecimal(7));
        powerData.add(dataText);

        dataText = new HashMap<>();
        dataText.put("sj", new BigDecimal(5));
        dataText.put("yc", new BigDecimal(6));
        powerData.add(dataText);

        dataText = new HashMap<>();
        dataText.put("sj", new BigDecimal(8));
        dataText.put("yc", new BigDecimal(8));
        powerData.add(dataText);

        BigDecimal rl = new BigDecimal("10");
        String provinceEnum = "E64";
        String type = "POINT_S";
        // 计算
        JSONObject jsonResult = accuracyPassRateCalculateService.calculate(powerData, rl, provinceEnum, type, new BigDecimal("80"));
        // 计算结果
        String reslut = jsonResult.getString("reslut");
        String accuracy = "";
        if ("success".equals(reslut)) {
            accuracy = jsonResult.getString("value");
        }
    }

    @RequestMapping("testExportSql")
    @ResponseBody
    public void testExportSql() {
        createAndInsertSqlUtil.start("test-db-dev", "ipfcst-v3");
    }

}
